unit Io;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Kartei_e {oder Kartei_e}, Menus;

type
  TF_Databank = class(TForm)
    E_Name: TEdit;
    E_Telefon: TEdit;
    B_zurueck: TButton;
    B_vor: TButton;
    MainMenu1: TMainMenu;
    Datei1: TMenuItem;
    Neu1: TMenuItem;
    ffnen1: TMenuItem;
    Speichern1: TMenuItem;
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    Datensatz1: TMenuItem;
    Neu2: TMenuItem;
    Lschen1: TMenuItem;
    Suchen1: TMenuItem;
    Label1: TLabel;
    Label2: TLabel;
    Button1: TButton;
    Button2: TButton;
    procedure B_vorClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure B_zurueckClick(Sender: TObject);
    procedure B_NeuClick(Sender: TObject);
    procedure B_LoeschenClick(Sender: TObject);
    procedure Neu1Click(Sender: TObject);
    procedure ffnen1Click(Sender: TObject);
    procedure Speichern1Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
    procedure Anzeigen; {zum Anzeigen des aktuellen Datensatzes}
  public
    { Public declarations }
  end;

var
  F_Databank: TF_Databank;
  k: TKarteikasten;

implementation

{$R *.DFM}

procedure TF_Databank.Anzeigen;
var d: TEintrag;
begin
  d:= k.aktuelle_Karteikarte;;
  E_Name.Text:= d.Name;
  E_Telefon.Text:= d.Telefon;
end;

procedure TF_Databank.B_vorClick(Sender: TObject);
begin
  k.ErhoehePosition;
  Anzeigen;
end;

procedure TF_Databank.FormCreate(Sender: TObject);
begin
  k:= TKarteikasten.Create;
  k.Kartei_Initialisieren;
  Anzeigen;
end;

procedure TF_Databank.B_zurueckClick(Sender: TObject);
begin
  k.ErniedrigePosition;
  Anzeigen;
end;

procedure TF_Databank.B_NeuClick(Sender: TObject);
var d: TEintrag;
begin
  d.Name:= inputbox('Neuer Eintrag','Name:','');
  d.Telefon:= inputbox('Neuer Eintrag','Telefon:','');
  k.Karteikarte_Neu(d);
  Anzeigen;
end;

procedure TF_Databank.B_LoeschenClick(Sender: TObject);
begin
  k.Karteikarte_Loeschen;
  Anzeigen;
end;

procedure TF_Databank.Neu1Click(Sender: TObject);
begin
  k.Kartei_Initialisieren;
  Anzeigen;
end;

procedure TF_Databank.ffnen1Click(Sender: TObject);
begin
  if OpenDialog1.Execute
  then begin
         k.Kartei_Oeffnen(OpenDialog1.Filename);
         Anzeigen;
       end;
end;

procedure TF_Databank.Speichern1Click(Sender: TObject);
begin
  if SaveDialog1.Execute
  then begin
         k.Kartei_Speichern(SaveDialog1.Filename);
         Anzeigen;
       end;
end;

procedure TF_Databank.Button1Click(Sender: TObject);
begin
  k.GeheAnAnfang;
  Anzeigen;
end;

procedure TF_Databank.Button2Click(Sender: TObject);
begin
  k.GeheAnsEnde;
  Anzeigen;
end;

end.
